Set AppSearch read-only status
- GET /deployments/{deployment_id}/appsearch/{ref_id}/read_only_mode
Enable/Disable read-only mode on the given App Search resource.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Responses
Standard response
-
enabledbooleanrequired -
Whether read-only mode is enabled or disabled
The Resource specified by ref_id cannot be found. (code: deployments.deployment_resource_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response